Decisions
Run Jev decisions
Run decisions using TypeSafe’s Jev request and response format.
POST
/
v1
/
systemone
Run Jev decisions
curl --request POST \
--url https://console.sqwish.ai/v1/systemone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"state": "<string>",
"questions": {}
}
'import requests
url = "https://console.sqwish.ai/v1/systemone"
payload = {
"model": "<string>",
"state": "<string>",
"questions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', state: '<string>', questions: {}})
};
fetch('https://console.sqwish.ai/v1/systemone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"model": "<string>",
"answers": {},
"usage": {
"input_tokens": 123,
"output_tokens": 0,
"tokenizer": {
"name": "<string>",
"revision": "<string>"
}
},
"timing_ms": {
"render": 123,
"score": 123,
"load": 123
},
"id": "<string>",
"provenance": {
"serving_artifact_sha256": "<string>",
"serving_master_artifact_sha256": "<string>",
"serving_execution_artifact_sha256": "<string>",
"engine_dtype": "<string>",
"engine_quantization": "<string>",
"base_model": "<string>",
"base_revision": "<string>",
"base_id": "<string>",
"base_artifact_sha256": "<string>",
"compute_dtype": "<string>",
"adapter": "<string>",
"weights_sha256": "<string>",
"adapter_bundle_sha256": "<string>",
"artifact_sha256": "<string>",
"probabilities": "conditional_on_declared_outcomes",
"calibration": "not_established",
"compatibility_confidence": "<string>"
},
"version": "<string>",
"fallback": {
"from": "<string>",
"to": "<string>",
"reason": "<string>"
},
"charge": {
"currency": "USD",
"amount_usd": "<string>",
"reserved_usd": "<string>",
"operation_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Headers
Reuse the same key and body after a lost response. A successful replay does not execute or charge again. Changed request bodies conflict; expired replay bodies are not executed again under the old key.
Required string length:
1 - 255Pattern:
^[!-~]+$Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Run Jev decisions
curl --request POST \
--url https://console.sqwish.ai/v1/systemone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"state": "<string>",
"questions": {}
}
'import requests
url = "https://console.sqwish.ai/v1/systemone"
payload = {
"model": "<string>",
"state": "<string>",
"questions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', state: '<string>', questions: {}})
};
fetch('https://console.sqwish.ai/v1/systemone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"model": "<string>",
"answers": {},
"usage": {
"input_tokens": 123,
"output_tokens": 0,
"tokenizer": {
"name": "<string>",
"revision": "<string>"
}
},
"timing_ms": {
"render": 123,
"score": 123,
"load": 123
},
"id": "<string>",
"provenance": {
"serving_artifact_sha256": "<string>",
"serving_master_artifact_sha256": "<string>",
"serving_execution_artifact_sha256": "<string>",
"engine_dtype": "<string>",
"engine_quantization": "<string>",
"base_model": "<string>",
"base_revision": "<string>",
"base_id": "<string>",
"base_artifact_sha256": "<string>",
"compute_dtype": "<string>",
"adapter": "<string>",
"weights_sha256": "<string>",
"adapter_bundle_sha256": "<string>",
"artifact_sha256": "<string>",
"probabilities": "conditional_on_declared_outcomes",
"calibration": "not_established",
"compatibility_confidence": "<string>"
},
"version": "<string>",
"fallback": {
"from": "<string>",
"to": "<string>",
"reason": "<string>"
},
"charge": {
"currency": "USD",
"amount_usd": "<string>",
"reserved_usd": "<string>",
"operation_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}